Skip to main content
POST
/
v1
/
reactions
Send a reaction
curl --request POST \
  --url https://api.messages.dev/v1/reactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "+15551234567",
  "to": "+15559876543",
  "message_id": "msg_abc123",
  "type": "love"
}
'
{
  "id": "<string>",
  "status": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Body

application/json
from
string
required

Sender line handle (phone number or Apple ID)

Example:

"+15551234567"

to
string
required

Recipient handle

Example:

"+15559876543"

message_id
string
required

Message ID (msg_...) or iMessage GUID of the message to react to

Example:

"msg_abc123"

type
enum<string>
required

Reaction type

Available options:
love,
like,
dislike,
laugh,
emphasize,
question
Example:

"love"

Response

Outbox item created

id
string

Delivery ID (e.g. obx_abc123)

status
string
Allowed value: "pending"
request_id
string